<?php

class DModelPaymentPagseguroAPI extends Model
{
  public function setStatusOrder($order_id, $pagseguro_api_status_id){

    $this->load->dmodel('checkout/order');

    switch ($pagseguro_api_status_id){
      case Type_PagseguroPagamentoStatus::Tp_Pendente:
        $order_status_id = $this->config->get('pagseguro_api_order_status_pending');
        break;
      case Type_PagseguroPagamentoStatus::Tp_Pago:
        $order_status_id = $this->config->get('pagseguro_api_order_status_paid');
        break;
      case Type_PagseguroPagamentoStatus::Tp_Autorizado:
        $order_status_id = $this->config->get('pagseguro_api_order_status_authorized');
        break;
      case Type_PagseguroPagamentoStatus::Tp_Cancelado:
        $order_status_id = $this->config->get('pagseguro_api_order_status_canceled');
        break;
     case Type_PagseguroPagamentoStatus::Tp_Negado:
        $order_status_id = $this->config->get('pagseguro_api_order_status_denied');
        break;
      default:
        $order_status_id = $this->config->get('pagseguro_api_order_status_pending');
    }

    $this->dmodel_checkout_order->update($order_id, $order_status_id, '', true);

  }

}
